package com.example.controller;

import com.example.service.ArchiveService;
import com.example.util.CommonResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @ClassName ArchiveController
 * @Description 归档接口
 * @Author linjj
 * @Date 2024/12/13 13:21
 * @Version 1.0
 */
@RestController
@RequestMapping("/archive")
@Api(tags = "归档测试接口", description = "Example API Description")
public class ArchiveController {
    @Autowired
    private ArchiveService archiveService;

    @GetMapping("/archivePdf")
    @ApiOperation(value = "pdf归档测试接口")
    public CommonResult<?> archivePdf() {
        archiveService.archive();
        return CommonResult.success("执行完成");
    }
}
