package com.example.db1.dao;

import com.example.dto.AddMasterDto;
import com.example.dto.GetMasterIdDto;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName ArchiveMasterDao
 * @Description 归档系统基础信息接口
 * @Author linjj
 * @Date 2024/12/11 15:17
 * @Version 1.0
 */
@Mapper
public interface ArchiveMasterDao {
    /**
     * @description: 根据患者id，住院号，姓名获取主键id
     * @params: GetMasterIdDto
     * @return: id
     * @author linjj
     * @date: 2024/12/11 15:19
     */
    List<String> getMasterId(GetMasterIdDto getMasterIdDto);

    /**
     * @description: 新增一个患者基础信息
     * @params: AddMasterDto
     * @return: int
     * @author linjj
     * @date: 2024/12/11 16:48
     */
    Boolean addArchiveMaster(AddMasterDto dto);
    /**
     * @description: 根据id删除对应记录
     * @params: id
     * @return: Boolean
     * @author linjj
     * @date: 2024/12/12 16:10
     */
    Boolean delMasterById(@Param("id") String id);
}

