package com.example.db1.dao;

import com.example.dto.AddCommonTableDto;
import com.example.dto.UpIsPdfDto;
import com.example.vo.QualityVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName CommonTableDao
 * @Description CommonTable表接口
 * @Author linjj
 * @Date 2024/12/13 16:31
 * @Version 1.0
 */
@Mapper
public interface CommonTableDao {

    /**
     * @description: 新增CommonTable表接口
     * @params:  AddCommonTable
     * @return: Boolean
     * @author linjj
     * @date: 2024/12/13 16:32
     */
    Boolean addCommonTable(AddCommonTableDto addCommonTableDto);
    /**
     * @description: 根据id删除接口
     * @params: id
     * @return: Boolean
     * @author linjj
     * @date: 2024/12/13 16:35
     */
    Boolean delCommonTableById(String id);
    /**
     * @description: 查询需要质检数据
     * @author linjj
     * @date: 2025/1/14 15:36
     */
    List<QualityVo> getCommonTableId();
    /**
     * @description: 批量更新isPDF字段的方法
     * @params: UpIsPdfDto
     * @return: Boolean
     * @author linjj
     * @date: 2025/1/14 16:22
     */
    Boolean updateIsPDFByIds(@Param("list") List<UpIsPdfDto> list);
}

