package com.example.quartz;

import org.quartz.*;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @ClassName QuartzConfig
 * @Author linjj
 * @Date 2024/12/13 15:47
 * @Version 1.0
 */
@Configuration
public class QuartzConfig {

    @Value("${quartzTime}")
    private String quartzTime;


    @Bean
    public JobDetail teatQuartzDetail() {

        return JobBuilder.newJob(ArchiveQuartz.class).withIdentity("ArchiveQuartz").storeDurably().build();

    }



    @Bean
    public Trigger testQuartzTrigger() {

        return TriggerBuilder.newTrigger().forJob(teatQuartzDetail())

                .withIdentity("ECGQuartz")
                .withSchedule(CronScheduleBuilder.cronSchedule(quartzTime))
                .build();

    }





}
